## org.apache.batik.util.io
Class ASCIIDecoder

    java.lang.Object
      org.apache.batik.util.io.AbstractCharDecoder
          org.apache.batik.util.io.ASCIIDecoder

All Implemented Interfaces:
  CharDecoder

public class ASCIIDecoder
extends AbstractCharDecoder

This class represents an object which decodes ASCII characters from a stream of bytes.

Field Summary

Fields inherited from class org.apache.batik.util.io.AbstractCharDecoder
`buffer, BUFFER_SIZE, count, inputStream, position`

Fields inherited from interface org.apache.batik.util.io.CharDecoder
`END_OF_STREAM`

Constructor Summary
`ASCIIDecoder(java.io.InputStream is)` Creates a new ASCIIDecoder.

Method Summary
`int` `readChar()` Reads the next character.

Methods inherited from class org.apache.batik.util.io.AbstractCharDecoder
`charError, dispose, endOfStreamError, fillBuffer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASCIIDecoder

    public ASCIIDecoder(java.io.InputStream is)

  Creates a new ASCIIDecoder.

Method Detail

### readChar

    public int readChar()
                 throws java.io.IOException

  Reads the next character.

  Returns:
    a character or END_OF_STREAM.
  Throws:
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.